Moodle for mobile

Setting up environment for Mobile Moodle

 
Beaker
Setting up environment for Mobile Moodle
 

Hello all,

I am trying to setup an environment to have a look at the mobile app and all goes well until I get to:

E:\AppDev\moodlemobdir> npm install

which generates the error (first among many, all similar) quoted below.

I have no idea how to start looking for where the problem is, let alone a solution, so any assistance given will be much appreciated!

David Lee

Adult Learning Service, Northamptonshire

=== Quote start ===

> @nodert-win10/windows.ui.startscreen@0.2.96 install E:\AppDev\moodlemobdir\node_modules\@nodert-win10\windows.ui.startscreen
> node-gyp rebuild --msvs_version=2015


E:\AppDev\moodlemobdir\node_modules\@nodert-win10\windows.ui.startscreen>if not defined npm_config_node_gyp (node "C:\Program Files\nodejs\node_modules\npm\node_modules\npm-lifecycle\node-gyp-bin\\..\..\node_modules\node-gyp\bin\node-gyp.js" rebuild --msvs_version=2015 )  else (node "C:\Program Files\nodejs\node_modules\npm\node_modules\node-gyp\bin\node-gyp.js" rebuild --msvs_version=2015 )
Building the projects in this solution one at a time. To enable parallel build, please add the "/m" switch.
E:\AppDev\moodlemobdir\node_modules\@nodert-win10\windows.ui.startscreen\build\binding.vcxproj(19,3): error MSB4019: The
 imported project "E:\Microsoft.Cpp.Default.props" was not found. Confirm that the path in the <Import> declaration is c
orrect, and that the file exists on disk.
gyp ERR! build error
gyp ERR! stack Error: `C:\Windows\Microsoft.NET\Framework\v4.0.30319\msbuild.exe` failed with exit code: 1
gyp ERR! stack     at ChildProcess.onExit (C:\Program Files\nodejs\node_modules\npm\node_modules\node-gyp\lib\build.js:258:23)
gyp ERR! stack     at emitTwo (events.js:126:13)
gyp ERR! stack     at ChildProcess.emit (events.js:214:7)
gyp ERR! stack     at Process.ChildProcess._handle.onexit (internal/child_process.js:198:12)
gyp ERR! System Windows_NT 10.0.16299
gyp ERR! command "C:\\Program Files\\nodejs\\node.exe" "C:\\Program Files\\nodejs\\node_modules\\npm\\node_modules\\node-gyp\\bin\\node-gyp.js" "rebuild" "--msvs_version=2015"
gyp ERR! cwd E:\AppDev\moodlemobdir\node_modules\@nodert-win10\windows.ui.startscreen
gyp ERR! node -v v8.9.4
gyp ERR! node-gyp -v v3.6.2
gyp ERR! not ok
npm notice created a lockfile as package-lock.json. You should commit this file.

=== Quote end ===

 
Average of ratings: -
Picture of Juan Leyva
Re: Setting up environment for Mobile Moodle
Core developersMoodle HQParticularly helpful MoodlersPlugin developersTesters

Hi,

first time I see an error like this :S

The app requires node 6 and it seems you are using node 8, maybe that's the problem

 
Average of ratings: -
Beaker
Re: Setting up environment for Mobile Moodle
 

Thanks for the reply, Juan, and I'm glad I'm able to show you something new!

You are absolutely right, I downgraded node.js to 6.9.1 and I've manage to progress to square 1!

Now, I need to show the app in my browser ...

 
Average of ratings: -